petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscViewerASCIIPopTab

Removes one tab from the amount that PetscViewerASCIIPrintf() lines are tabbed.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIPopTab(PetscViewer viewer)

Not Collective, but only first processor in set has any effect

### Input Parameters

viewer -obtained with PetscViewerASCIIOpen()

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIIPushTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer()

### Level

developer

### Location

src/sys/classes/viewer/impls/ascii/filev.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex1.c.html
src/dm/label/examples/tutorials/ex1.c.html
src/dm/label/examples/tutorials/ex1f90.F90.html
src/ts/examples/tutorials/ex14.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages